@Echo OFF
Goto :START

File.......... BackupSQLServerDatabase.cmd
Description... Backs up a specific SQL Server database to a designated folder and file
Usage......... In the 'sqlcmd' statement below, update the following:
               1. Replace 'MyServer\SQLExpress' with your server and SQL Server instance names.
               2. Replace 'MSClims' with the name of the database to back up.
               3. Replace 'C:\Backup' with the folder where backup files should be created.
               4. Remove the 'REM' before 'forfiles' if you want to automatically delete
                  older backup files.  Change '-7' to delete files older than the specified days.
Notes......... This script appends the current date and time, in the form YYYY-MM-DD-HHMM, to the
               backup file name.  To do so, it assumes your Windows short date format is M/D/YYYY.
               If your Windows short date format is D/M/YYYY change 'mydate=%%c-%%a-%%b' to
               'mydate=%%c-%%b-%%a'

:START
For /f "tokens=2-4 delims=/ " %%a in ('date /t') do (set mydate=%%c-%%a-%%b)
For /f "tokens=1-2 delims=/:" %%a in ("%time: =0%") do (set mytime=%%a%%b)

sqlcmd -S MyServer\SQLExpress -E -Q "BACKUP DATABASE MSClims TO DISK = 'C:\Backup\MSClims-Backup-%mydate%-%mytime%.bak';"

REM forfiles /P "C:\Backup" /M *.bak /D -7 /C "cmd /c del @path"